album_api_version: 0.4.2
args:
- description: The input raw data as TIFF (2D, 1 channel).
  name: input_raw
  required: true
  type: string
- description: The input segmentation to analyze as TIFF (mask, 2D, 1 channel).
  name: input_mask
  required: true
  type: string
- description: The masked areas used as the target for the orientation calculation.
    It helps to answer the question if cells are moving towards specific areas.
  name: input_target
  required: false
  type: string
- description: The output folder where plots will be saved to. If not provided, the
    plots will be displayed.
  name: output
  required: false
  type: directory
- default: '12:9'
  description: The resolution of the output plots WIDTH:HEIGHT in pixels - for example
    800:600.
  name: output_res
  type: string
- description: 'Set region of interest for input image in this form: MIN_X:MAX_X:MIN_Y:MAX_Y
    - for example 100:200:100:200. You can also provide multiple comma separated region
    of interest - for example 100:200:0:100,100:200:100:200 - then the whole dataset
    will be processed and plotted, along with the provided ROIs.'
  name: roi
  required: false
  type: string
- default: 100,250,500
  description: 'Set tile sizes to be plotted for average tile plots in this form:
    SIZE1,SIZE2,SIZE3 - for example 100,200'
  name: tiles
  type: string
- description: Any orientation vector with a smaller length in pixels will not be
    used for average orientations.
  name: min_length_orientation
  required: false
  type: string
- description: Any segment with a higher amount of pixels will not be processed.
  name: max_size
  required: false
  type: string
- description: Any segment with a lower amount of pixels will not be processed.
  name: min_size
  required: false
  type: string
- description: A table matching the cells to be analyzed - should have a XM and YM
    labeled column for matching the cells.
  name: cell_table
  required: false
  type: file
changelog: '- initial unofficial prelease

  '
covers:
- description: Crop of one of the plots generated by this solution displaying the
    direction of the extensions of each cell as an arrow.
  source: cover.png
description: The solution generates plots displaying the directions of extensions
  of cell shaped objects in 2D.
documentation:
- documentation.md
group: de.mdc-berlin
name: cell-orientation
solution_creators:
- Deborah Schmidt
timestamp: '2022-12-13T14:36:43.733117'
title: Cell extension orientation analysis (2D)
version: 0.1.0-SNAPSHOT
